"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createEncodingMap = void 0;
const createEncodingMap = (content) => {
    return Object.keys(content).reduce((all, key) => {
        const { encoding } = content[key];
        if (!encoding) {
            return all;
        }
        return { ...all, [key]: encoding };
    }, {});
};
exports.createEncodingMap = createEncodingMap;
//# sourceMappingURL=createEncodingMap.js.map