"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const create = (factory) => {
    return [
        factory.TypeAliasDeclaration.create({
            name: "ClientFunction<RequestOption>",
            type: factory.TypeReferenceNode.create({
                name: `typeof createClient<RequestOption>`,
            }),
        }),
        factory.TypeAliasDeclaration.create({
            export: true,
            name: "Client<RequestOption>",
            type: factory.TypeReferenceNode.create({
                name: `ReturnType<ClientFunction<RequestOption>>`,
            }),
        }),
    ];
};
exports.create = create;
//# sourceMappingURL=ClientTypeDefinition.js.map