"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.make = exports.update = void 0;
const update = ({ factory }) => (params) => {
    const { node, statements } = params;
    return factory.updateModuleBlock(node, statements);
};
exports.update = update;
const make = (context) => {
    return {
        update: (0, exports.update)(context),
    };
};
exports.make = make;
//# sourceMappingURL=ModuleBlock.js.map