import ts from "typescript";
import type { TsGenerator } from "../../../api";
import type { CodeGenerator } from "../../../types";
import * as Utils from "../utils";
import type { MethodType } from "./types";
export declare const isPathParameter: (params: any) => params is CodeGenerator.PickedParameter;
export declare const generateUrlTemplateExpression: (factory: TsGenerator.Factory.Type, requestUri: string, pathParameters: CodeGenerator.PickedParameter[]) => Utils.Params$TemplateExpression;
export declare const create: (factory: TsGenerator.Factory.Type, requestUri: string, pathParameters: CodeGenerator.PickedParameter[], methodType: MethodType) => ts.VariableStatement;
