import * as path from "path";
import type { OpenApi } from "../../../types";
import { Factory } from "../../TsGenerator";
import * as ConverterContext from "../ConverterContext";
import * as ToTypeNode from "../toTypeNode";
import type * as Walker from "../Walker";
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Walker.Store, factory: Factory.Type, parentPath: string, name: string, response: OpenApi.Response, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
export declare const generateReferenceNamespace: (entryPoint: string, currentPoint: string, store: Walker.Store, factory: Factory.Type, parentPath: string, nameWithStatusCode: string, responseReference: {
    name: string;
    path: string;
}, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
