"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.make = exports.create = void 0;
const create = ({ factory }) => (params) => {
    const node = factory.createCallExpression(params.expression, params.typeArguments, params.argumentsArray);
    return node;
};
exports.create = create;
const make = (context) => {
    return {
        create: (0, exports.create)(context),
    };
};
exports.make = make;
//# sourceMappingURL=CallExpression.js.map