export const createEncodingMap = (content) => {
    return Object.keys(content).reduce((all, key) => {
        const { encoding } = content[key];
        if (!encoding) {
            return all;
        }
        return { ...all, [key]: encoding };
    }, {});
};
//# sourceMappingURL=createEncodingMap.js.map